> ## Documentation Index
> Fetch the complete documentation index at: https://docs.supaqr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve links(QR codes) count



## OpenAPI

````yaml GET /links/count
openapi: 3.0.1
info:
  title: SupaQR
  description: ''
  version: 1.0.0
servers:
  - url: https://api.supaqr.com
    description: 正式环境
security:
  - bearer: []
tags: []
paths:
  /links/count:
    get:
      tags: []
      summary: Retrieve links(QR codes) count
      parameters:
        - name: domain
          in: query
          description: 'The domain to filter the links(QR codes)  by. '
          required: false
          example: iqr.im
          schema:
            type: string
            minLength: 1
        - name: linkType
          in: query
          description: 'The link(QR code) type to filter the links(QR codes)  by. '
          required: false
          schema:
            type: string
            enum:
              - link
              - document
              - file
              - vcard
              - landing-page
              - google-form
              - menu
              - app-stores
              - image
              - audio
              - video
              - wi-fi
              - email
              - map
              - whatsapp
              - text
              - sms
              - svg
              - code
        - name: tagIds
          in: query
          description: The tag IDs to filter the links(QR codes)  by.
          required: false
          example:
            - eN1HdNU
          schema:
            type: array
            items:
              type: string
            minItems: 1
            maxItems: 50
            uniqueItems: true
        - name: search
          in: query
          description: >-
            The search term to filter the links(QR codes) by. The search term
            will be matched against the short link slug and the destination
            data.
          required: false
          schema:
            type: string
            minLength: 1
            maxLength: 200
        - name: userIds
          in: query
          description: The user ID to filter the links(QR codes)  by.
          required: false
          schema:
            type: array
            items:
              type: string
            minItems: 1
            maxItems: 100
            uniqueItems: true
        - name: showArchived
          in: query
          description: Whether to include archived links(QR codes) in the response.
          required: false
          schema:
            type: boolean
            default: false
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: integer
                required:
                  - count
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - bad_request
                    default: bad_request
                    description: A short code indicating the error code returned.
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                required:
                  - code
                  - message
          headers: {}
        '401':
          description: ''
          content:
            application/json:
              schema:
                title: ''
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - unauthorized
                    default: unauthorized
                    description: A short code indicating the error code returned.
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                required:
                  - code
                  - message
          headers: {}
        '403':
          description: ''
          content:
            application/json:
              schema:
                title: ''
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - forbidden
                    default: forbidden
                    description: A short code indicating the error code returned.
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                required:
                  - code
                  - message
          headers: {}
        '422':
          description: ''
          content:
            application/json:
              schema:
                title: ''
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - parameter_error
                    default: parameter_error
                    description: A short code indicating the error code returned.
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                required:
                  - code
                  - message
          headers: {}
        '429':
          description: ''
          content:
            application/json:
              schema:
                title: ''
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - rate_limit_exceeded
                    default: rate_limit_exceeded
                    description: A short code indicating the error code returned.
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                required:
                  - code
                  - message
          headers: {}
        '500':
          description: ''
          content:
            application/json:
              schema:
                title: ''
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - internal_server_error
                    default: internal_server_error
                    description: A short code indicating the error code returned.
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                required:
                  - code
                  - message
          headers: {}
      deprecated: false
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````